from selenium import selenium
from vars import *
import unittest, time, re

class kb_static(unittest.TestCase):
    def setUp(self):
        self.verificationErrors = []
        self.selenium = selenium(server, port, browser, baseurl)
        self.selenium.start()
    
    def test_kb_static(self):
        sel = self.selenium
        sel.open("/en-US/kb/")
        try: self.assertEqual("Firefox Support Home Page", sel.get_title())
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Checks text above search box
        try: self.failUnless(sel.is_text_present("What do you need help with?"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        try: self.failUnless(sel.is_text_present("New to Firefox?"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Checks the "new to firefox?" text shows
        try: self.failUnless(sel.is_text_present("Popular Support Articles"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        try: self.failUnless(sel.is_element_present("button-seeall"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        try: self.failUnless(sel.is_text_present("Thunderbird Support"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Checks link to Thunderbird is shown ( footer )
        try: self.failUnless(sel.is_element_present("link=Thunderbird"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        try: self.failUnless(sel.is_element_present("link=More"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Checks link to tiki-browse_freetags.php
        try: self.failUnless(sel.is_element_present("search-try"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Checks search box area is present
        try: self.failUnless(sel.is_element_present("promotebox-title"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # This checks the promote widget is showing ( "new to firefox" )
        try: self.failUnless(sel.is_element_present("//div[@id='waysgethelp-list']/ul/li[1]"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        try: self.assertEqual("4", sel.get_xpath_count("//div[@id=\"promotebox-list\"]/ul/li/a"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # This checks there a 4 links under "New to Firefox?"
        try: self.failUnless(sel.is_element_present("wantgetinvolved-title"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # This checks the "want to get involved" widget shows
        try: self.failUnless(sel.is_element_present("waysgethelp-title"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Checks that the "ways to help" widget shows
        try: self.failUnless(sel.is_element_present("link=2) Get Personal Help"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        try: self.failUnless(sel.is_element_present("link=3) Other Firefox Support"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # The above check links under "ways to get help"
        try: self.failUnless(sel.is_element_present("link=Find out how to contribute"))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Checks the how to contribute link under "want to get involved?"
        try: self.failUnless(sel.is_element_present("link=log in"))
        except AssertionError, e: self.verificationErrors.append(str(e))
    
    def tearDown(self):
        self.selenium.stop()
        self.assertEqual([], self.verificationErrors)

if __name__ == "__main__":
    unittest.main()
