from selenium import selenium
from vars import *
import unittest, time, re

class loggedin_ask_a_new_question(unittest.TestCase):
    def setUp(self):
        self.verificationErrors = []
        self.selenium = selenium(server, port, browser, baseurl)
        self.selenium.start()
    
    def test_loggedin_ask_a_new_question(self):
        sel = self.selenium
        # Description:This testcase verifies adding a new question
        # Storing timestamp generated using JS.Timestamp is used to ensure that unique question title is created every single time
        timestamp = sel.get_eval("new Date().getTime()")
        username = "testing"
        password = "1234"
        sel.open("http://support:stage@support-stage-new.mozilla.com")
        # Logging in
        sel.click("link=log in")
        sel.wait_for_page_to_load("30000")
        sel.type("login-user", username)
        sel.type("login-pass", password)
        sel.click("login-remember")
        sel.click("login-button")
        sel.wait_for_page_to_load("30000")
        sel.click("link=2) Get Personal Help")
        sel.wait_for_page_to_load("30000")
        sel.click("link=Ask a new question in the forum")
        sel.wait_for_page_to_load("30000")
        # Adding a new question
        sel.click("//input[@name='choice' and @value='5']")
        sel.type("forumquestion_question", "new_question_" + timestamp)
        sel.click("//button[@value='Next step']")
        sel.click("//button[@value='Next step']")
        sel.click("//button[@value='Next step']")
        sel.select("Frequency", "label=Not sure how often")
        sel.type("description", "new_question_" + timestamp)
        sel.type("//input[@name='When started']", "new_question_" + timestamp)
        sel.type("//textarea[@name='extensions']", "new_question_" + timestamp)
        sel.click("//button[@value='Submit your question']")
        sel.click("viewquestion")
        sel.wait_for_page_to_load("30000")
        # verifying that the title of the page mataches the question title
        try: self.failUnless(sel.is_text_present(""))
        except AssertionError, e: self.verificationErrors.append(str(e))
        # Navigating to Personal dashboard
        time.sleep(0.05)
        sel.open("/tiki-my_tiki.php")
        # Ensuring that the newly added question is saved
        try: self.failUnless(sel.is_text_present(""))
        except AssertionError, e: self.verificationErrors.append(str(e))
        sel.click("link=Log Out")
        sel.wait_for_page_to_load("30000")
        sel.open("/en-US/kb/")
    
    def tearDown(self):
        self.selenium.stop()
        self.assertEqual([], self.verificationErrors)

if __name__ == "__main__":
    unittest.main()
