from selenium import selenium
from vars import *
import unittest, time, re

class loggedin_translate_existing_article(unittest.TestCase):
    def setUp(self):
        self.verificationErrors = []
        self.selenium = selenium(server, port, browser, baseurl)
        self.selenium.start()
    
    def test_loggedin_translate_existing_article(self):
        sel = self.selenium
        # Storing variables
        username = "testing"
        password = "1234"
        timestamp = sel.get_eval("new Date().getTime()")
        language = "hi-IN"
        sel.open("http://support:stage@support-stage-new.mozilla.com")
        sel.open("https://support:stage@support-stage-new.mozilla.com")
        # logging into SUMO staging
        sel.click("link=log in")
        sel.wait_for_page_to_load("30000")
        sel.type("login-user", username)
        sel.type("login-pass", password)
        sel.click("login-remember")
        sel.click("login-button")
        sel.wait_for_page_to_load("30000")
        # Ensure that login is successful
        self.failUnless(sel.is_text_present(""))
        # Selecting a KB article for translation
        sel.click("//div[@id='mostpopular-new']/ul/li[6]/a")
        sel.wait_for_page_to_load("30000")
        sel.click("link=Translate this page")
        sel.wait_for_page_to_load("30000")
        # Selecting a language from drop-down list
        sel.select("lang", "index=2")
        sel.type("page", "article_" + timestamp)
        sel.click("//input[@value='Create translation']")
        sel.wait_for_page_to_load("30000")
        sel.type("editwiki", "article_" + timestamp)
        sel.type("comment", "article_" + timestamp)
        sel.click("save")
        sel.wait_for_page_to_load("30000")
        sel.open("/en-US/kb/article_" + timestamp + "?bl=n")
        self.failUnless(sel.is_text_present(""))
        # Logging out
        sel.click("link=Log Out")
        sel.wait_for_page_to_load("30000")
        sel.open("/en-US/kb/")
    
    def tearDown(self):
        self.selenium.stop()
        self.assertEqual([], self.verificationErrors)

if __name__ == "__main__":
    unittest.main()
